summaryrefslogtreecommitdiff
path: root/debian
diff options
context:
space:
mode:
Diffstat (limited to 'debian')
-rw-r--r--debian/libpam-runtime.config19
-rw-r--r--debian/libpam-runtime.templates2
2 files changed, 20 insertions, 1 deletions
diff --git a/debian/libpam-runtime.config b/debian/libpam-runtime.config
new file mode 100644
index 00000000..48bd7513
--- /dev/null
+++ b/debian/libpam-runtime.config
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+. /usr/share/debconf/confmodule
+
+
+# pam-auth-update is introduced in 1.0.1-6
+# Between 1.0.1-6 and 1.0.1-10 it is possible to get empty profiles
+if [ "x$2" != "x" ] ;then
+ if dpkg --compare-versions $2 lt 1.0.1-10 && dpkg --compare-versions $2 ge 1.0.1-6 ; then
+ db_get libpam-runtime/profiles
+ if [ "x$ret" = "x" ] ; then
+ db_input high libpam-runtime/you-had-no-auth ||true
+ db_go
+ fi
+ fi
+fi
+
+
+ \ No newline at end of file
diff --git a/debian/libpam-runtime.templates b/debian/libpam-runtime.templates
index ca49858d..fa7a41e0 100644
--- a/debian/libpam-runtime.templates
+++ b/debian/libpam-runtime.templates
@@ -54,7 +54,7 @@ _Description: Your system allows access with no password!
security failures, viruses, and malicious software you should
re-install this system from scratch or obtain the services of a
skilled system administrator. For more information see
- http://www.debian.org/xxx
+ http://www.debian.org/security/pam-auth
.
The PAM packaging has been improved and the automated PAM
configuration tool no longer permits this configuration. We